Skip to main content
GET
/
report-executions
/
{report_execution_id}
C#
using Gr4vy;
using Gr4vy.Models.Components;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

var res = await sdk.Reports.Executions.GetAsync(reportExecutionId: "003bc416-f32a-420c-8eb2-062a386e1fb0");

// handle response
package main

import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"log"
)

func main() {
ctx := context.Background()

s := gr4vy.New(
gr4vy.WithID("example"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)

res, err := s.Reports.Executions.Get(ctx, "003bc416-f32a-420c-8eb2-062a386e1fb0")
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}
package hello.world;

import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.GetReportExecutionResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Gr4vy sdk = Gr4vy.builder()
.id("example")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();

GetReportExecutionResponse res = sdk.reports().executions().get()
.reportExecutionId("003bc416-f32a-420c-8eb2-062a386e1fb0")
.call();

if (res.reportExecution().isPresent()) {
System.out.println(res.reportExecution().get());
}
}
}
declare(strict_types=1);

require 'vendor/autoload.php';

use Gr4vy;

$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();



$response = $sdk->reports->executions->get(
reportExecutionId: '003bc416-f32a-420c-8eb2-062a386e1fb0'
);

if ($response->reportExecution !== null) {
// handle response
}
from gr4vy import Gr4vy
import os


with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:

res = g_client.reports.executions.get(report_execution_id="003bc416-f32a-420c-8eb2-062a386e1fb0")

# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";

const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});

async function run() {
const result = await gr4vy.reports.executions.get("003bc416-f32a-420c-8eb2-062a386e1fb0");

console.log(result);
}

run();
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/report-executions/{report_execution_id} \
--header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "context": {
    "reference_timestamp": "2023-11-07T05:31:56Z",
    "reference_timezone": "<string>"
  },
  "report": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "merchant_account_id": "<string>",
    "name": "<string>",
    "type": "report",
    "creator_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "creator_display_name": "Jane Doe",
    "creator_type": "user"
  },
  "type": "report-execution"
}
{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}
{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": [],
"resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
This endpoint requires the reports.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

report_execution_id
string<uuid>
required

The ID of the execution of a report to retrieve details for.

Example:

"003bc416-f32a-420c-8eb2-062a386e1fb0"

Response

Successful Response

id
string<uuid>
required

The unique ID for the report execution.

Example:

"a1b2c3d4-5678-90ab-cdef-1234567890ab"

created_at
string<date-time>
required

The date this report execution was created at.

Example:

"2024-05-30T12:34:56.000Z"

updated_at
string<date-time>
required

The date this report execution was last updated.

Example:

"2024-05-30T13:00:00.000Z"

status
enum<string>
required

The status of the report execution.

Available options:
dispatched,
failed,
pending,
processing,
succeeded
Example:

"succeeded"

context
ReportExecutionContext · object
required

The context for the report execution.

report
ReportSummary · object
required

The report this execution belongs to.

type
string
default:report-execution

Always report-execution.

Allowed value: "report-execution"
Example:

"report-execution"